Read a domain controller status projection
curl --request GET \
--url https://useorgx.com/api/v1/controllers/{domain} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/controllers/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/controllers/{domain}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"controller_id": "domain.growth",
"domain": "growth",
"spec_revision": "controller_spec_revision:09a53f2c0987b63cf07557d50b378e8ad2473591a943ceb6f6912e0e7c679015",
"run_id": null,
"last_run_id": null,
"status": "never_run",
"result": "noop",
"last_result": null,
"last_signal_id": null,
"last_signal_state": null,
"last_error_code": null,
"event_ids": [],
"projection_cursor": "0",
"decision_id": null,
"decision_event_id": null,
"receipt_id": null,
"last_receipt_id": null,
"duplicate": false,
"protocol_version": "orgx.controller.v1",
"mode": "shadow",
"proposal": null,
"learning_proposal": null,
"noop_reason": null,
"source_health": null,
"limitations": [
"Shadow proposals require human review and have no authority effect."
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Controllers
Read a domain controller status projection
Returns the workspace-scoped shadow controller projection, including its latest run, signal, result, and audit linkage when available.
GET
/
controllers
/
{domain}
Read a domain controller status projection
curl --request GET \
--url https://useorgx.com/api/v1/controllers/{domain} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/controllers/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/controllers/{domain}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"controller_id": "domain.growth",
"domain": "growth",
"spec_revision": "controller_spec_revision:09a53f2c0987b63cf07557d50b378e8ad2473591a943ceb6f6912e0e7c679015",
"run_id": null,
"last_run_id": null,
"status": "never_run",
"result": "noop",
"last_result": null,
"last_signal_id": null,
"last_signal_state": null,
"last_error_code": null,
"event_ids": [],
"projection_cursor": "0",
"decision_id": null,
"decision_event_id": null,
"receipt_id": null,
"last_receipt_id": null,
"duplicate": false,
"protocol_version": "orgx.controller.v1",
"mode": "shadow",
"proposal": null,
"learning_proposal": null,
"noop_reason": null,
"source_health": null,
"limitations": [
"Shadow proposals require human review and have no authority effect."
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
Path Parameters
Available options:
product, engineering, growth, sales, design, operations Query Parameters
Allowed value:
"orgx.controller.v1"